Bug 38911 - [Qt] Patch to locate Java plugin DLL on Windows via its Registry...
Summary: [Qt] Patch to locate Java plugin DLL on Windows via its Registry...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Plug-ins (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Enhancement
Assignee: Nobody
URL:
Keywords: Qt
Depends on:
Blocks: 33044
  Show dependency treegraph
 
Reported: 2010-05-11 08:42 PDT by Dawit A.
Modified: 2010-11-18 11:09 PST (History)
12 users (show)

See Also:


Attachments
Patch to locate Windows Java plugin DLL via registry... (4.28 KB, patch)
2010-05-11 09:43 PDT, Dawit A.
no flags Details | Formatted Diff | Diff
Locate Java plugin dll via the Windows Registry... (4.18 KB, patch)
2010-05-12 07:10 PDT, Dawit A.
no flags Details | Formatted Diff | Diff
Locate Java plugin dll via the Windows Registry (Update III) (4.24 KB, patch)
2010-05-18 11:21 PDT, Dawit A.
no flags Details | Formatted Diff | Diff
Locate Java plugin dll via the Windows Registry (Update IV) (3.43 KB, patch)
2010-08-24 00:11 PDT, Dawit A.
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dawit A. 2010-05-11 08:42:41 PDT
The following patch was split out from bug 33044 to make it easier to review on its own. Besides minor clean ups, this is the exact code from afformentioned bug report.
Comment 1 Dawit A. 2010-05-11 09:43:24 PDT
Created attachment 55711 [details]
Patch to locate Windows Java plugin DLL via registry...
Comment 2 Dawit A. 2010-05-12 07:10:34 PDT
Created attachment 55841 [details]
Locate Java plugin dll via the Windows Registry...

Corrected the entry in WebCore/ChangLog...
Comment 3 Kenneth Rohde Christiansen 2010-05-14 07:36:59 PDT
Adam, can you look at the Windows part of this patch, or indicate a reviewer?
Comment 4 Adam Roben (:aroben) 2010-05-14 08:00:23 PDT
Safari comes with its own Java plug-in. I don't think we'd want to use any other Java plug-in.

Jon Honeycutt and Anders Carlsson are the right people to look at this.
Comment 5 Dawit A. 2010-05-14 10:18:06 PDT
(In reply to comment #4)
> Safari comes with its own Java plug-in. I don't think we'd want to use any other 
> Java plug-in.

I can #ifdef the patch to make it only apply to QtWebKit in case others, e.g. chrome, do the similar things as Safari. That way everyone that needs this has to opt-in and activate it for their own port ?
Comment 6 Simon Hausmann 2010-05-18 02:09:09 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > Safari comes with its own Java plug-in. I don't think we'd want to use any other 
> > Java plug-in.
> 
> I can #ifdef the patch to make it only apply to QtWebKit in case others, e.g. chrome, do the similar things as Safari. That way everyone that needs this has to opt-in and activate it for their own port ?

Sounds like a good idea, just wrap the call to the function in #if PLATFORM(QT).
Comment 7 Dawit A. 2010-05-18 11:21:19 PDT
Created attachment 56391 [details]
Locate Java plugin dll via the Windows Registry (Update III)

Wrapped the call to "addJavaPluginDirectory" from "defaultPluginDirectories" with #if PLATFORM(QT)...
Comment 8 WebKit Review Bot 2010-05-21 05:25:58 PDT
Attachment 56391 [details] did not build on win:
Build output: http://webkit-commit-queue.appspot.com/results/2291375
Comment 9 Adam Barth 2010-08-10 23:00:15 PDT
Comment on attachment 56391 [details]
Locate Java plugin dll via the Windows Registry (Update III)

The windows failure scares me.  Probably best to land by hand.
Comment 10 Dawit A. 2010-08-18 16:21:56 PDT
(In reply to comment #9)
> (From update of attachment 56391 [details])
> The windows failure scares me.  Probably best to land by hand.

The problem with the Windows build failure is that the log produced is worthless. It does not tell you anything so you cannot even begin to evaluate why it failed and provide a fix if necessary...
Comment 11 Dawit A. 2010-08-24 00:11:28 PDT
Created attachment 65219 [details]
Locate Java plugin dll via the Windows Registry (Update IV)

Let us see if it compiles fine on Windows this time around...
Comment 12 Eric Seidel 2010-08-25 11:18:07 PDT
Comment on attachment 56391 [details]
Locate Java plugin dll via the Windows Registry (Update III)

Cleared Simon Hausmann's review+ from obsolete attachment 56391 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 13 Simon Hausmann 2010-08-27 08:12:29 PDT
Comment on attachment 65219 [details]
Locate Java plugin dll via the Windows Registry (Update IV)

r=me
Comment 14 WebKit Commit Bot 2010-08-27 10:35:53 PDT
Comment on attachment 65219 [details]
Locate Java plugin dll via the Windows Registry (Update IV)

Clearing flags on attachment: 65219

Committed r66234: <http://trac.webkit.org/changeset/66234>
Comment 15 WebKit Commit Bot 2010-08-27 10:35:59 PDT
All reviewed patches have been landed.  Closing bug.
Comment 16 WebKit Review Bot 2010-08-27 11:11:17 PDT
http://trac.webkit.org/changeset/66234 might have broken Qt Linux Release
The following changes are on the blame list:
http://trac.webkit.org/changeset/66233
http://trac.webkit.org/changeset/66234
Comment 17 Ademar Reis 2010-11-09 10:23:17 PST
Blocking QtWebKit 2.1 on this. See https://bugs.webkit.org/show_bug.cgi?id=33044#c30 for more information.
Comment 18 Ademar Reis 2010-11-18 11:09:04 PST
Revision r66234 cherry-picked into qtwebkit-2.1 with commit 8c6f4ae <http://gitorious.org/webkit/qtwebkit/commit/8c6f4ae>